Skip to main content
POST
/
api
/
v2
/
updateAccount
Update Account Settings
curl --request POST \
  --url 'https://api.vida.dev/api/v2/updateAccount?token=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "active": true,
  "accountName": "Support Team",
  "externalAccountId": "AC_XXXXXXX",
  "externalBillingId": "somebillingId"
}
'
import requests

url = "https://api.vida.dev/api/v2/updateAccount?token="

payload = {
    "active": True,
    "accountName": "Support Team",
    "externalAccountId": "AC_XXXXXXX",
    "externalBillingId": "somebillingId"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    active: true,
    accountName: 'Support Team',
    externalAccountId: 'AC_XXXXXXX',
    externalBillingId: 'somebillingId'
  })
};

fetch('https://api.vida.dev/api/v2/updateAccount?token=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "message": "Account settings updated",
  "updatedSettings": [
    "accountName"
  ],
  "failedSettings": [
    "externalBillingId"
  ]
}
{
  "success": false,
  "message": "No settings updated",
  "failedSettings": [
    "externalBillingId"
  ]
}

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetAccountId
string
required

Target Account Id to update settings for

Body

application/json
active
boolean

Account status - if set to false calls and messages will not be answered

Example:

true

accountName
string

Change Account Name

Example:

"Support Team"

externalAccountId
string

External Account Id to match with your internal system account Id. Set to null to remove it.

Example:

"AC_XXXXXXX"

externalBillingId
string

External Id to match with your internal billing system. Set to null to remove it.

Example:

"somebillingId"

Response

At least one setting was successfully updated

success
boolean
Example:

true

message
string
Example:

"Account settings updated"

updatedSettings
string[]
Example:
["accountName"]
failedSettings
string[] | null
Example:
["externalBillingId"]